//--------------------------------------------------------------------
//	
//	PeopleView.h
//
//	Written by: Robert Polic
//	Extended by: Olivier Cortes
//	
//--------------------------------------------------------------------
/*
	Copyright 1999, Be Incorporated.   All Rights Reserved.
	This file may be used under the terms of the Be Sample Code License.
*/

#ifndef PEOPLEVIEW_H
#define PEOPLEVIEW_H

#include "PeopleApp.h"

#define TEXT_HEIGHT			 16
#define NAME_H				 10
#define NAME_V				 10
#define NAME_WIDTH			300
#define NAME_TEXT			VIEW_NAME_TEXT
#define NICKNAME_H			 10
#define NICKNAME_V			(NAME_V + 25)
#define NICKNAME_WIDTH		300
#define NICKNAME_TEXT		VIEW_NICKNAME_TEXT
#define COMPANY_H			 10
#define COMPANY_V			(NICKNAME_V + 25)
#define COMPANY_WIDTH		300
#define COMPANY_TEXT		VIEW_COMPANY_TEXT
#define ADDRESS_H			 10
#define ADDRESS_V			(COMPANY_V + 25)
#define ADDRESS_WIDTH		300
#define ADDRESS_TEXT		VIEW_ADDRESS_TEXT
#define CITY_H				 10
#define CITY_V				(ADDRESS_V + 25)
#define CITY_WIDTH			300
#define CITY_TEXT			VIEW_CITY_TEXT
#define STATE_H				 10
#define STATE_V				(CITY_V + 25)
#define STATE_WIDTH			175
#define STATE_TEXT			VIEW_STATE_TEXT
#define ZIP_H				(STATE_H + STATE_WIDTH)
#define ZIP_V				(CITY_V + 25)
#define ZIP_WIDTH			125
#define ZIP_TEXT			VIEW_ZIP_TEXT
#define COUNTRY_H			 10
#define COUNTRY_V			(ZIP_V + 25)
#define COUNTRY_WIDTH		300
#define COUNTRY_TEXT		VIEW_COUNTRY_TEXT

#define HPHONE_H			 10
#define HPHONE_V			(COUNTRY_V + 25)
#define HPHONE_WIDTH		300
#define HPHONE_TEXT			VIEW_HPHONE_TEXT

#define HFAX_H				 10
#define HFAX_V				(HPHONE_V + 25)
#define HFAX_WIDTH			300
#define HFAX_TEXT			VIEW_HFAX_TEXT

#define CPHONE_H			 10
#define CPHONE_V			(HFAX_V + 25)
#define CPHONE_WIDTH		300
#define CPHONE_TEXT			VIEW_CPHONE_TEXT

#define WPHONE_H			 10
#define WPHONE_V			(CPHONE_V + 25)
#define WPHONE_WIDTH		300
#define WPHONE_TEXT			VIEW_WPHONE_TEXT

#define FAX_H				 10
#define FAX_V				(WPHONE_V + 25)
#define FAX_WIDTH			300
#define FAX_TEXT			VIEW_FAX_TEXT

#define PAGER_H				 10
#define PAGER_V				(FAX_V + 25)
#define PAGER_WIDTH			300
#define PAGER_TEXT			VIEW_PAGER_TEXT

#define EMAIL_H				 10
#define EMAIL_V				(PAGER_V + 25)
#define EMAIL_WIDTH			300
#define EMAIL_TEXT			VIEW_EMAIL_TEXT

#define EMAIL2_H				 10
#define EMAIL2_V				(EMAIL_V + 25)
#define EMAIL2_WIDTH			300
#define EMAIL2_TEXT			VIEW_EMAIL2_TEXT

#define EMAIL3_H				 10
#define EMAIL3_V				(EMAIL2_V + 25)
#define EMAIL3_WIDTH			300
#define EMAIL3_TEXT			VIEW_EMAIL3_TEXT

#define EMAIL4_H				 10
#define EMAIL4_V				(EMAIL3_V + 25)
#define EMAIL4_WIDTH			300
#define EMAIL4_TEXT			VIEW_EMAIL4_TEXT

#define URL_H				 10
#define URL_V				(EMAIL4_V + 25)
#define URL_WIDTH			300
#define URL_TEXT			VIEW_URL_TEXT

#define GROUP_H				 10
#define GROUP_V				(URL_V + 25)
#define GROUP_WIDTH			300
#define GROUP_TEXT			VIEW_GROUP_TEXT

#define VIEW_COLOR			216

class TTextControl;


//====================================================================

class TPeopleView : public BView {

private:

	BFile			*fFile;
	BPopUpMenu		*fGroups;
	TTextControl	*fField[F_END];

public:

					TPeopleView(BRect, char*, entry_ref*);
					~TPeopleView(void); 
	virtual	void	AttachedToWindow(void);
	virtual void	MessageReceived(BMessage*);
	void			BuildGroupMenu(void);
	bool			CheckSave(void);
	const char*		GetField(int32);
	void			NewFile(entry_ref*);
	void			Save(void);
	void			SetField(int32, char*, bool);
	bool			TextSelected(void);
};

#endif /* PEOPLEVIEW_H */